input_code Struct Reference

## Data Fields

const char * | name
nkf_char | stat
nkf_char | score
nkf_char | index
nkf_char | buf [3]
void(* | status_func )(struct input_code *, nkf_char)
nkf_char(* | iconv_func )(nkf_char c2, nkf_char c1, nkf_char c0)
int | _file_stat

## Detailed Description

Definition at line 325 of file nkf.c.

## Field Documentation

int input_code::_file_stat

Definition at line 333 of file nkf.c.

Referenced by status_reinit().

nkf_char input_code::buf[3]

Definition at line 330 of file nkf.c.

Referenced by code_score(), s_status(), status_disable(), status_push_ch(), and w_status().

nkf_char(* input_code::iconv_func)(nkf_char c2, nkf_char c1, nkf_char c0)

Definition at line 332 of file nkf.c.

Referenced by code_status(), find_inputcode_byfunc(), h_conv(), set_iconv(), and status_disable().

nkf_char input_code::index

Definition at line 329 of file nkf.c.

Referenced by status_clear(), status_push_ch(), and w_status().

const char* input_code::name

Definition at line 326 of file nkf.c.

Referenced by code_status(), find_inputcode_byfunc(), h_conv(), kanji_convert(), module_connection(), reinit(), and set_iconv().

nkf_char input_code::score

Definition at line 328 of file nkf.c.

Referenced by clr_code_score(), get_guessed_code(), h_conv(), kanji_convert(), set_code_score(), and status_reset().

nkf_char input_code::stat

Definition at line 327 of file nkf.c.

Referenced by code_status(), e_status(), s_status(), status_clear(), status_disable(), and w_status().

void(* input_code::status_func)(struct input_code *, nkf_char)

Definition at line 331 of file nkf.c.

Referenced by code_status(), and h_conv().

The documentation for this struct was generated from the following file:

- ext/nkf/nkf-utf8/nkf.c